import os
import shutil
from frappe.utils import get_bench_path

def setup_chart():
    try:
        bench_path = get_bench_path()

        # Пути назначения
        erpnext_locale_path = os.path.join(bench_path, "apps", "erpnext", "erpnext", "accounts", "doctype", "account", "chart_of_accounts", "verified", "az_chart_of_accounts.json")
        
        # Создаём директорию, если она не существует
        # os.makedirs(os.path.dirname(erpnext_locale_path), exist_ok=True)

        # Пути к файлам в кастомном приложении
        app_path = os.path.join(bench_path, "apps", "az_locale", "az_locale", "locale", "data")
        source_erpnext = os.path.join(app_path, "az_chart_of_accounts.json")

        # Копируем файл для ERPNext
        if os.path.exists(source_erpnext):
            shutil.copy(source_erpnext, erpnext_locale_path)
            print(f"План счетов успешно установлен в {erpnext_locale_path}")
            return True
        else:
            print(f"Ошибка: Файл источника {source_erpnext} не найден")
            return False
    except Exception as e:
        print(f"Произошла ошибка при установке плана счетов: {str(e)}")
        return False